Package: org.codehaus.groovy.reflection

## [Java] Class GeneratedMetaMethod

- org.codehaus.groovy.reflection.GeneratedMetaMethod

-     public abstract class GeneratedMetaMethod
      extends MetaMethod

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GeneratedMetaMethod.DgmMethodRecord` |
    `static class` | `GeneratedMetaMethod.Proxy` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public Class` | `getReturnType()`
    `` | `public MethodHandle` | `getTargetMethodHandle()` Returns a MethodHandle pointing directly to the underlying target method, or `null` if not available.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)

  - ### Method Detail

    - #### public CachedClass getDeclaringClass()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public Class getReturnType()

    - #### public MethodHandle getTargetMethodHandle()

      Returns a MethodHandle pointing directly to the underlying target method, or `null` if not available.

      Generated DGM adapter classes override this to provide a pre-computed handle that avoids the boxing overhead of invoke(Object, Object[]).

      Returns:
        a method handle for direct invocation, or `null`